@import "./root.css";
@import "./footer.css";
@import "./header.css";
@import "./style-filtre.css";

section {
    padding: 3rem 0;
}

section:nth-child(even) {
    background-color: var(--color-bg-section);
}


.btn {
    outline: 0;
}


.btn-liste {
    background: var(--color-btn-liste-1);
    font-size: 17px;
    font-weight: 500;
    border: 1px solid var(--color-site-2);
    color: var(--color-site-2);
    border-radius: 20px;
    padding: 8px 16px;
}


.btn-liste:hover {
    border: 1px solid var(--color-site-2);
    color: var(--color-site-2);
}

.fa-star {
    color: var(--color-site-3);
}

.card {
    background: none;
}

.card-localisation {
    font-size: 15px;
    color: var(--color-gray);
    font-weight: 500;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.card-date {
    color: var(--color-site-2);
    font-size: 15px;
}

.card-item-top {
    position: relative;
    overflow: hidden;
    border-radius: var(--border-radius);
}

.card-item-top .top-item-price {
    position: absolute;
    top: auto;
    bottom: 100px;
    z-index: 4;
    text-align: center;
    border-radius: 5px;
    left: 0;
    right: 0;
    display: inline-block;

}


.card-item-top .top-item-price .box-details-price {
    color: var(--color-site-1);
    font-weight: 500;
    text-align: center;
    background-color: var(--color-site-3);
    border-radius: 5px;
    display: inline-block;

}

.card .card-body {
    padding: 30px 25px 10px 25px;
    position: absolute;
    bottom: 25px;
    top: auto;
    z-index: 1;
    left: 0;
    right: 0;
    background: var(--color-bg-card-body);
    margin: 0 12px;
    border-radius: var(--border-radius);
}

.card .property-card-item .item-box-image.overlay-img-anim::after {
    background: rgba(255, 255, 255, 0.3);
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 0;
    opacity: 1;
    pointer-events: none;
}

.card .property-card-item .item-box-image.overlay-img-anim {
    position: relative;
    visibility: visible;
    animation-delay: 600ms;
    animation-name: fadeInUp;
}

.card .property-card-item .item-box-image.overlay-img-anim:hover:after {
    height: 100%;
    opacity: 0;
    transition: all 400ms linear;
}

.card .property-card-item .item-box-image img {
    transition: all .4s ease;
    transform: scale(1);
    height: 400px;
    object-fit: cover;
}

.card .property-card-item:hover .item-box-image img {
    transform: scale(1.1);

}

.card .property-card-item .card-body .card-title {
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    color: var(--color-site-1);
}

.card .property-card-item:hover .card-body .card-title {

    color: var(--color-site-1);
}

section .owl-theme .owl-nav [class*=owl-] {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 18px;
    color: var(--color-dark);
    width: 50px;
    height: 50px;
    padding: 0;
    background: #e5e6e8;
    cursor: pointer;
    border-radius: 50%;
    box-shadow: none;

}

#section-hotel-recommandes .owl-theme .owl-nav {
    top: -328px;
}

section .owl-theme .owl-nav {
    position: absolute;
    top: -100px;
    bottom: auto;
    right: 0;
    left: auto;
    width: 100%;
    display: block !important;
    text-align: right !important;
    margin-top: 0;

}

@media (max-width: 991px) {


    section .owl-theme .owl-nav {
      display: none !important;
    }

}


/* end icon social  */

.section-title .h2 {
    color: var(--color-site-1);
}

.section-title .h2 span.sous-titre {
    color: var(--color-site-2);
    font-family: Reey-Regular-400;
}

.section-title .description-section {
    font-size: 16px;
    color: var(--color-gray);
}


/* section banner carousel  */

#section-banner .owl-nav div {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: 10;
    /*background: rgba(0,0,0,0.5);*/
    color: var(--color-dark);
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    cursor: pointer;
}

/* bouton gauche */
#section-banner .owl-nav .owl-prev {
    left: 20px;
}

/* bouton droite */
#section-banner .owl-nav .owl-next {
    right: 20px;
}



/* section recommandes  */

#section-hotel-recommandes .nav-pills .nav-link {
    position: relative;
    border-radius: 20px;
    background: var(--color-site-2);
    color: var(--color-white);
    font-size: 16px;
    font-weight: 500;
    border: 1px solid transparent;
    white-space: nowrap;
    margin-bottom: 15px;
}

#section-hotel-recommandes .nav-pills .nav-link:hover {
    background: var(--color-white);
    border: 1px solid var(--color-site-2);
    color: var(--color-site-2);
}

#section-hotel-recommandes .nav-pills .nav-link.active {
    background-color: var(--color-site-2);
    color: var(--color-white);
}

#section-hotel-recommandes .nav-pills .nav-link.active::before {
    position: absolute;
    content: "";
    width: 0;
    height: 0;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 10px solid var(--color-site-2);
    bottom: -10px;
    left: 50%;
    transform: translateX(-50%);
    opacity: 1;
}



/* section voyages organisées  */

#voyages-organises {
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
    position: relative;

}

/* section raisons  */

#section-raisons .box-raisons {
    padding: 20px 5px;
    border: 1px solid rgba(0, 0, 0, .125);
    background: var(--color-bg-section);
    border-radius: 20px;
    max-width: 300px;

}

@media (max-width: 991px) {
    #section-raisons .box-raisons {
        max-width: 100%;

    }
}

#section-raisons .box-raisons::after {
    content: '';
    width: 100%;
    height: 0;
    position: absolute;
    background: #9e9e9e40;
    top: 0;
    left: 0;
    z-index: 1;
    -webkit-transition: all 0.35s;
    transition: all 0.35s;
    opacity: 0;
    border-radius: 8px;
}

#section-raisons .box-raisons:hover:after {
    height: 100%;
    opacity: 1;

}

#section-raisons .box-raisons p {
    color: var(--color-gray);
    font-size: 15px;
}

#section-raisons .box-raisons:hover p {
    color: var(--color-site-1);
}

#section-raisons .box-raisons:hover .box-services img {
    -webkit-animation: beat 1.5s ease 0s infinite;
    animation: beat 1.5s ease 0s infinite;
}

@-webkit-keyframes beat {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    50% {
        -webkit-transform: scale(0.82);
        transform: scale(0.82);
    }
}

@keyframes beat {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
    }

    50% {
        -webkit-transform: scale(0.82);
        transform: scale(0.82);
    }
}







/*Scrolls button*/
#myBtn {
    display: none;
    position: fixed;
    bottom: 35px;
    right: 30px;
    width: 45px;
    height: 45px;
    z-index: 99;
    border-radius: 5px;
    font-size: 18px;
    outline: none;
    background-color: var(--color-white);
    color: var(--color-site-2);
    cursor: pointer;
    border: 1px solid var(--color-site-2);

}


/*/loding */
#preloader {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 99999999999;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}





